/* @import "mac.css"; */
@import "query-input.css";

.mac {
  border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important;
  border-collapse: separate; /* Essencial para que as bordas arredondadas funcionem corretamente */
  border-spacing: 0;
  border-radius: var(--bs-border-radius-xl) !important;
  overflow: hidden; /* Garante que o conteúdo dentro da tabela respeite as bordas arredondadas */
}

.color-red {
    color: #FF6E40;
}

.text-magenta {
    color: magenta;
}

.text-lime {
    color: lime;
}

input,
select,
textarea {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    background-clip: padding-box;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    /* margin-bottom: 0.5rem !important; */
}

input:focus,
select:focus,
textarea:focus {
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

/* Aplica o estilo de .form-label a todos os labels */
label {
    display: inline-block;
    margin-bottom: 0.25rem;
    margin-top: 0.5rem;
    padding-top: 0.5rem;
    font-weight: bolder;
}

.tb table {
    width: 100%;
    table-layout: fixed;
}

.tb td {
    white-space: nowrap;
    /* Impede a quebra de linha */
    overflow: hidden;
    /* Oculta o conteúdo que transborda */
    text-overflow: ellipsis;
    /* Adiciona reticências */
    max-width: 200px;
}

/*
.tb table thead th td{
    margin-top: 2 !important;
    margin-bottom: 2 !important;
}
*/

.table thead th {
    border-bottom: 2px solid;
    /* text-align: center !important; */
    text-transform: uppercase;
}

.table td, .table th {
    vertical-align: middle;
}

.logo {
    opacity: 0.75;
    height: 48px;
    padding: 6px;
}

/* 
.mini-logo{
    padding-right: 5;
}
 */

.btn-custom {
    color: var(--bs-link-color) !important;
    /* border-color: var(--bs-border-width) var(--bs-border-style) var(--bs-tertiary-bg) !important; */
}

.btn-custom:hover {
    color: var(--bs-link-color) !important;
    border-color: var(--bs-border-color) !important;
    background-color: var(--bs-tertiary-bg) !important;
    cursor: pointer;
}

.btn-action {
    color: var(--bs-link-color);
}

.btn-action:hover {
    color: var(--bs-link-color) !important;
    border-color: var(--bs-border-color) !important;
    background-color: var(--bs-tertiary-bg) !important;
    /* border-radius: var(--bs-border-radius-xl) !important; */
    cursor: pointer;
}

.filter-width {
    font-size: 0.85rem;
    max-width: 15vw;
}

.rounded-top-start {
    border-top-left-radius: var(--bs-border-radius-xl) !important;
    /* border-top: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important; */
}

.rounded-top-end {
    border-top-right-radius: var(--bs-border-radius-xl) !important;
    /* border-top: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important; */
}

.rounded-bottom-start {
    border-bottom-left-radius: var(--bs-border-radius-xl) !important;
    /* border-bottom: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important; */
}

.rounded-bottom-end {
    border-bottom-right-radius: var(--bs-border-radius-xl) !important;
    /* border-bottom: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important; */
}

/* Dynamic Theme Buttons */
[data-bs-theme="dark"] .btn-theme-toggle {
    --bs-btn-color: var(--bs-info);
    --bs-btn-bg: var(--bs-tertiary-bg);
    --bs-btn-border-color: var(--bs-tertiary-bg);
    --bs-btn-hover-color: var(--bs-info);
    --bs-btn-hover-bg: var(--bs-secondary-bg);
    --bs-btn-hover-border-color: var(--bs-secondary-bg);
    --bs-btn-focus-shadow-rgb: 66, 70, 73;
    --bs-btn-active-color: var(--bs-info);
    --bs-btn-active-bg: var(--bs-secondary-bg);
    --bs-btn-active-border-color: var(--bs-secondary-bg);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--bs-info);
    --bs-btn-disabled-bg: var(--bs-tertiary-bg);
    --bs-btn-disabled-border-color: var(--bs-tertiary-bg);
}

[data-bs-theme="light"] .btn-theme-toggle {
    --bs-btn-color: var(--bs-primary);
    --bs-btn-bg: var(--bs-light);
    --bs-btn-border-color: var(--bs-light);
    --bs-btn-hover-color: var(--bs-primary);
    --bs-btn-hover-bg: var(--bs-secondary-bg);
    --bs-btn-hover-border-color: var(--bs-secondary-bg);
    --bs-btn-focus-shadow-rgb: 211, 212, 213;
    --bs-btn-active-color: var(--bs-primary);
    --bs-btn-active-bg: var(--bs-secondary-bg);
    --bs-btn-active-border-color: var(--bs-secondary-bg);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--bs-primary);
    --bs-btn-disabled-bg: var(--bs-light);
    --bs-btn-disabled-border-color: var(--bs-light);
}

@media (min-width: 992px) {
    .dropend:hover>.dropdown-menu {
        display: block;
        top: 50%;
        bottom: auto;
        left: 100%;
        margin-top: 0;
        margin-left: 0.125rem;
        transform: translateY(-50%);
    }
}